WPA2 - are new card drivers needed or just a client?

Discussion in 'Wireless Networking' started by Mike Bernstein, Apr 19, 2005.

  1. I have a wireless router that, following a firmware upgrade, can be set to
    WPA2. I also have client software (Funk Odyssey) that can be set to WPA2. Do
    I also need new cards or updated drivers for my existing cards to get this
    to work (all are D-Link)?

    Mike Bernstein
     
    Mike Bernstein, Apr 19, 2005
    #1
    1. Advertisements

  2. Yes , you have to download driver because Func will use WPA2 OIDs of MSFT
    for communication with driver
    Arkady
     
    Arkady Frenkel, Apr 19, 2005
    #2
    1. Advertisements

  3. Actually, you'll most likely need new wireless NICs since WPA2 involves some
    hardware changes to the wireless radio. For most users, their older wireless
    NICS will not support WPA2 directly. Unlike WPA, WPA2 is not just a firmware
    update to enable this technology.
     
    Oliver Saal [MS], Apr 25, 2005
    #3
    1. Advertisements

Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.